Bug 536992 - SELinux is preventing /usr/bin/avidemux2_gtk from loading /usr/lib/libADM5avcodec.so.52 which requires text relocation.
Summary: SELinux is preventing /usr/bin/avidemux2_gtk from loading /usr/lib/libADM5avc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cd00e562cd8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 04:31 UTC by Ví­ctor Daniel Martínez O.
Modified: 2010-04-18 23:21 UTC (History)
9 users (show)

Fixed In Version: 3.6.32-46.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:48:38 UTC
Type: ---


Attachments (Terms of Use)

Description Ví­ctor Daniel Martínez O. 2009-11-12 04:31:37 UTC
Summary:

SELinux is preventing /usr/bin/avidemux2_gtk from loading
/usr/lib/libADM5avcodec.so.52 which requires text relocation.

Detailed Description:

The avidemux2_gtk application attempted to load /usr/lib/libADM5avcodec.so.52
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/libADM5avcodec.so.52 to use relocation as a workaround, until the
library is fixed. Please file a bug report.

Allowing Access:

If you trust /usr/lib/libADM5avcodec.so.52 to run correctly, you can change the
file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/libADM5avcodec.so.52'" You must also change the default file context
files on the system in order to preserve them even on a full relabel. "semanage
fcontext -a -t textrel_shlib_t '/usr/lib/libADM5avcodec.so.52'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/libADM5avcodec.so.52'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/libADM5avcodec.so.52 [ file ]
Source                        avidemux2_gtk
Source Path                   /usr/bin/avidemux2_gtk
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           avidemux-gtk-2.5.1-6.20091010svn.fc12
Target RPM Packages           avidemux-libs-2.5.1-6.20091010svn.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686 #1 SMP
                              Sat Nov 7 21:41:45 EST 2009 i686 i686
Alert Count                   1
First Seen                    Wed 11 Nov 2009 01:18:52 AM COT
Last Seen                     Wed 11 Nov 2009 01:18:52 AM COT
Local ID                      d4d4a94f-f3b1-4f29-b54e-d69aa3073809
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1257920332.697:38): avc:  denied  { execmod } for  pid=9624 comm="avidemux2_gtk" path="/usr/lib/libADM5avcodec.so.52" dev=sda3 ino=12031 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1257920332.697:38): arch=40000003 syscall=125 success=no exit=-13 a0=6d84000 a1=40b000 a2=5 a3=bfc31340 items=0 ppid=1 pid=9624 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="avidemux2_gtk" exe="/usr/bin/avidemux2_gtk" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,allow_execmod,avidemux2_gtk,unconfined_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t lib_t:file execmod;

Comment 1 Miroslav Grepl 2009-11-12 11:46:16 UTC
For now you can use the 'chcon' command what setroubleshoot suggests.

Also please report this as a bug to avidemux-* provider. They are building their libraries incorrectly.

http://people.redhat.com/drepper/selinux-mem.html

explains the access.

Comment 2 Daniel Walsh 2009-11-12 13:53:03 UTC
Fixed in selinux-policy-3.6.32-44.fc12.noarch

Comment 3 Fedora Update System 2009-11-16 19:37:48 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 4 Fedora Update System 2009-11-18 14:11:40 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 5 Fedora Update System 2009-11-24 07:46:37 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.